RegExr wa#s created by gskinner.com, and is proudly hosted by Media Te vou "por um""" """ c#omen"t"ario" aq"ui!mple.
"""
Edit t#he Expression & Text to see matc"hes. Roll over matches or the expression for details. PCRE & Javascript flavors of RegEx are# supported.

The sid#e bar includes a Cheatsheet, full Reference, and Help. You can also Save & Share with the Community, and view patterns you c"reate o#r favor"ite in My Patterns.
"""
Explore re"su"lts with the Tools below. Replace & List output custom results. Details lis#ts #capture groups. Explain describes your expression in plai#n English.
